Subject: Compiling libpspell
To: None <>
From: None <>
List: tech-pkg
Date: 12/09/2000 21:20:17
I upgraded my pkgsrc via sup on 9/12/2000 and tried to compile libpspell as I
was getting a pspell error after compiling balsa 1.0.0.  However got the 
following error on my RiscPC NetBSD 1.4C box.  What is my problem??

(cd .libs && rm -f && ln -s ../
/bin/sh ../libtool --mode=compile c++ -DPACKAGE=\"pspell\" -DVERSION=\".11.2\" 
-DDATADIR=\"/usr/pkg/share/pspell\" -DLIBDIR=\"/usr/pkg/lib\"   -I../modules/
-I./    -O2 -c
rm -f .libs/dummy.lo
c++ -DPACKAGE=\"pspell\" -DVERSION=\".11.2\"
-DDATADIR=\"/usr/pkg/share/pspell\" -DLIBDIR=\"/usr/pkg/lib\" -I../modules/
-I./ -O2 -c  -fPIC -DPIC -o .libs/dummy.lo
c++ -DPACKAGE=\"pspell\" -DVERSION=\".11.2\"
-DDATADIR=\"/usr/pkg/share/pspell\" -DLIBDIR=\"/usr/pkg/lib\" -I../modules/
-I./ -O2 -c -o dummy.o >/dev/null 2>&1
mv -f .libs/dummy.lo dummy.lo
/bin/sh ../libtool --mode=link c++  -O2 -Wl,-R/usr/pkg/lib -L/usr/pkg/lib
-Wl,-R/usr/pkg/lib -L/usr/pkg/lib -o -rpath /usr/pkg/lib
-version-info 3:1:0 dummy.lo -L`pwd`/.libs -lpspell 
rm -fr .libs/ .libs/libpspell-impl.* .libs/libpspell-impl.*
/usr/bin/ld -Bshareable -o .libs/  dummy.lo 
-L/usr/pkgsrc/textproc/libpspell/work/pspell-.11.2/interface/.libs -lpspell 
-R/usr/pkg/lib -R/usr/pkg/lib /usr/lib/c++rt0.o
ld: no shared -lpspell-modules.1.1 available
gmake[1]: *** [] Error 1
gmake[1]: Leaving directory
gmake: *** [all-recursive] Error 1
*** Error code 2

Date: 09-Dec-00
Time: 21:15:39

This message was sent by XFMail